Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058996 - CVE-2014-0019 socat: PROXY-CONNECT address overflow [fedora-all]
Summary: CVE-2014-0019 socat: PROXY-CONNECT address overflow [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: socat
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 23:30 UTC by Vincent Danen
Modified: 2014-02-20 07:01 UTC (History)
1 user (show)

Fixed In Version: socat-1.7.2.3-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 14:38:36 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-01-28 23:30:05 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-01-28 23:30:14 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1057746,1058996

Comment 2 Fedora Update System 2014-01-29 05:24:15 UTC
socat-1.7.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/socat-1.7.2.3-1.fc19

Comment 3 Fedora Update System 2014-01-29 05:24:24 UTC
socat-1.7.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/socat-1.7.2.3-1.el6

Comment 4 Fedora Update System 2014-01-29 05:24:34 UTC
socat-1.7.2.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/socat-1.7.2.3-1.fc20

Comment 5 Fedora Update System 2014-01-29 21:24:04 UTC
Package socat-1.7.2.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing socat-1.7.2.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0398/socat-1.7.2.3-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-02-12 14:38:36 UTC
socat-1.7.2.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-02-12 14:52:08 UTC
socat-1.7.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-02-20 07:01:56 UTC
socat-1.7.2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.